define(function(require){
	var $ = require('jquery');
	require('validation')($);
	require('dialog')($);
	require('uriTemplate')($);
	require('demoAssets/../../style/jquery-ui-1.8.14.custom.css');
	
	$(function(){	
		 $("#save").click(function(){submitForm();});
		 $("#cancel").click(function(){close();});
	});
	$(function(){
		// 验证用户正确性
	    $("#newChauffeur").validate({
		  rules:{
	    	cnName:{
	              required:true,
//	              regex: /^[\u4E00-\u9FA5\uF900-\uFA2D]+|[a-zA-Z]+$/,  // 必须添加转义字符'/'--否则出错
	              rangelength:[0,20]
	           }
		  },
		  errorPlacement:function (error,element){
				error.insertAfter(element);
		   },
		
		  // 用户自定义的键/值对消息;键为一个表单元素的name属性，值为该表单元素将要显示的消息。该消息覆盖元素的title属性或者默认消息
		  messages:{
			   cnName:{
			     required:i18n["Validation.peopleProfile.cnName.notNull"],
//			     regex:i18n["Validation.peopleProfile.cnName.regex"],
			     rangelength:i18n["Validation.peopleProfile.cnName.length"]   
			  }
		   }
		});
	});
	
	// 函数,提交表单
	function submitForm(){
		if($("#newChauffeur").valid()){  
			setParentCode();
			$("#save").attr("href","#"); // 改变href的值
			var url = $("#saveUrl").val();
			$("#newChauffeur").attr("action",url);
			$("#newChauffeur").submit();
		}
	};
	// 关闭窗口
	function close(){
		// 进入查询页面URL
	      var indexUrl= $("#indexUrl").val();
	      window.location = indexUrl;
	};
});

